Subject: Re: bug#20387: 24.4; History malfunction by special directory names

From: Marcin Borkowski <[email-masked]>
Date: Wed, 06 Apr 2016 19:53:20 +0200

On 2015-04-21, at 02:08, Li Ian-Xue <[email-masked]> wrote:

> As i tried to edit some files within a directory named "c#", and used
> eshell to call the compiler, I soon discovered that eshell's history
> function had no entries by pressing <UP> or <M-p> even though there
> should be some. This should be easily verifiable by creating a directory
> with the name "c#" and switching working directory into it.
>
> Furthermore, it would seem that the history record is written, but
> cannot be read correctly, since as one move of the directory in
> question, <UP> or <M-p> calls whatever I have typed when I was in there.

Confirmed on GNU Emacs 25.1.50.8 (1e8cd05).

Steps to reproduce:

emacs -Q
M-x eshell
mkdir -p ~/tmp/c#
cd ~/tmp/c#
<up>

Best,

-- 
Marcin